@echo off

goto checkEnv
:envOk

echo Setting environment variables...

set OLD_JAVA_HOME=%JAVA_HOME%
set JAVA_HOME=%THIS_JAVA_HOME%
echo JAVA_HOME is %JAVA_HOME%
echo FEDORA_HOME is %FEDORA_HOME%

"%JAVA_HOME%\bin\javac" -classpath %FEDORA_HOME%;%FEDORA_HOME%\client\fedora-client.jar;%FEDORA_HOME%\client\lib\xercesImpl.jar;%FEDORA_HOME%\client\lib\axis.jar;%FEDORA_HOME%\client\lib\jaxrpc.jar;%FEDORA_HOME%\client\lib\commons-discovery.jar;%FEDORA_HOME%\client\lib\commons-logging.jar;%FEDORA_HOME%\client\lib\saaj.jar -sourcepath %FEDORA_HOME%\client %FEDORA_HOME%\client\demo\soapclient\DemoSOAPClient.java


echo Finished compile of demo soap client.
goto finish

:finish
set JAVA_HOME=%OLD_JAVA_HOME%

goto end

:checkEnv
if "%FEDORA_HOME%" == "" goto noFedoraHome
if "%FEDORA_JAVA_HOME%" == "" goto tryJavaHome
set THIS_JAVA_HOME=%FEDORA_JAVA_HOME%

:checkJava
if not exist "%THIS_JAVA_HOME%\bin\java.exe" goto noJavaBin
if not exist "%THIS_JAVA_HOME%\bin\orbd.exe" goto badJavaVersion
goto envOk

:tryJavaHome
if "%JAVA_HOME%" == "" goto noJavaHome
set THIS_JAVA_HOME=%JAVA_HOME%
goto checkJava

:noFedoraHome
echo ERROR: Environment variable, FEDORA_HOME must be set.
goto end

:noJavaHome
echo ERROR: FEDORA_JAVA_HOME was not defined, nor was (the fallback) JAVA_HOME.
goto end

:noJavaBin
echo ERROR: java.exe was not found in %THIS_JAVA_HOME%
echo Make sure FEDORA_JAVA_HOME or JAVA_HOME is set correctly.
goto end

:badJavaVersion
echo ERROR: java was found in %THIS_JAVA_HOME%, but it was not version 1.4
echo Make sure FEDORA_JAVA_HOME or JAVA_HOME points to a 1.4JRE/JDK base.
goto end

:end

